On Jul 7, 2009, at 06:30 , Roland Cruesemann wrote:

> Hi,
>
> I tried to build Ruby 1.9.1p129 on a 64 bit openSUSE 11.0 system.
> It failed with the following message.
> Is this a bug in Ruby 1.9.1p129?
>
> ./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb
> ./enc/make_encmake.rb --builtin-encs="ascii.o us_ascii.o unicode.o
> utf_8.o" --builtin-transes="newline.o" enc.mk
> /home/rc/Ruby/download/ruby-1.9.1-p129/rbconfig.rb:177: [BUG] Stack
> consistency error (sp: 110, bp: 108)
> ruby 1.9.1p129 (2009-05-12 revision 23412) [x86_64-linux]

1) Don't thread-hijack, ever.
2) Any crash of pure ruby code or during the build is a bug and should  
go to ruby-core@ instead of here.